Download it now!
Bug 119230 - Chart help page opens empty
Summary: Chart help page opens empty
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
6.1.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: New-Help
  Show dependency treegraph
 
Reported: 2018-08-12 15:02 UTC by Thomas Hackert
Modified: 2018-10-05 16:14 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Hackert 2018-08-12 15:02:08 UTC
Hello @ll,
I hope I have chosen the right component and such. If not, feel free to change it accordingly ... ;)

While translating LO to German, I found the following:

1. Install master as described on https://wiki.documentfoundation.org/Installing_in_parallel/Linux
2. Start Writer
3. Enter a chart (Insert - Chart)
4. Press <F1>

On my system LO tries to open $PATHTOINSTDIR/opt/libreofficedev6.2/help/de/text/shared/main0000.html?System=UNIX&DbPAR=WRITER

which in Konqueror opens an empty page, other browsers (Firefox, Conqueror, Opera) reports an 404 ... :( And alas, there is no file named main0000.html in that place ... :(

OS: Debian Testing AMD64
LO: Version: 6.2.0.0.alpha0+
Build-ID: d54861bac28c0c6dd84bca6a9c1ddeb76de184a8
CPU-Threads: 4; BS: Linux 4.17; UI-Render: Standard; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-08-10_23:02:30
Gebietsschema: de-DE (de_DE.UTF-8); Calc: threaded

as well as

LO: Version: 6.1.0.3
Build-ID: efb621ed25068d70781dc026f7e9c5187a4decd1
CPU-Threads: 4; BS: Linux 4.17; UI-Render: Standard; VCL: kde4; 
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group threaded
(both parallel installed, following the instructions from the link at point 1 with de-DE lang- as well as helppack)

Sorry for the inconvenience
Thomas.
Comment 1 Xisco Faulí 2018-08-15 15:39:27 UTC
Reproduced in

Versión: 6.1.0.3
Id. de compilación: efb621ed25068d70781dc026f7e9c5187a4decd1
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; 
Configuración regional: es-ES (es_ES); Calc: group threaded

with Firefox
Comment 2 Olivier Hallot 2018-09-18 21:33:07 UTC
the HID link 

CHART2_HID_SCH_WIN_DOCUMENT

does not exist, invetigating
Comment 3 Commit Notification 2018-09-21 02:42:54 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=38e128a7d8e71e5bf1fdb43e4299dab1562fca52

tdf#119230 Chart help page opens empty